Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine
Class EntityKey

    java.lang.Object
      org.hibernate.engine.EntityKey

All Implemented Interfaces:
  Serializable

    public final class EntityKey

extends Object
implements Serializable

Uniquely identifies of an entity instance in a particular session by identifier.

Uniqueing information consists of the entity-name and the identifier value.

Author:
  Gavin King
See Also:
  `EntityUniqueKey`, Serialized Form

Constructor Summary
`EntityKey(Serializable id, EntityPersister persister, EntityMode entityMode)` Construct a unique identifier for an entity class instance

Method Summary
`boolean` | `equals(Object other)`
`String` | `getEntityName()`
`Serializable` | `getIdentifier()` Get the user-visible identifier
`int` | `hashCode()`
`boolean` | `isBatchLoadable()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityKey

    public EntityKey(Serializable id,
                     EntityPersister persister,
                     EntityMode entityMode)

  Construct a unique identifier for an entity class instance

Method Detail

### isBatchLoadable

    public boolean isBatchLoadable()

### getIdentifier

    public Serializable getIdentifier()

  Get the user-visible identifier

### getEntityName

    public String getEntityName()

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD